Subject: Re: [PATCH net-next] net: bcmgenet: remove unused platform code

From: Simon Horman <[email-masked]>
Date: Tue, 14 Oct 2025 14:13:39 +0100

On Tue, Oct 14, 2025 at 08:02:47AM +0200, Heiner Kallweit wrote:
> This effectively reverts b0ba512e25d7 ("net: bcmgenet: enable driver to
> work without a device tree"). There has never been an in-tree user of
> struct bcmgenet_platform_data, all devices use OF or ACPI.
> 
> Signed-off-by: Heiner Kallweit <[email-masked]>

I'm actually kind of surprised platform driver support was added as
recently as 2014. But I guess there was a reason at the time.

Reviewed-by: Simon Horman <[email-masked]>